gdebi-core_0.9.5.7ubuntu1_all.deb


Advertisement

Description

gdebi-core - simple tool to install deb files

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package name gdebi-core
Package version 0.9.5.7ubuntu1
Package architecture all
Package type deb
Installed size 132 B
Download size 9.49 KB
Official Mirror archive.ubuntu.com
gdebi lets you install local deb packages resolving and installing
its dependencies. apt does the same, but only for remote (http, ftp)
located packages.
It can also resolve build-depends of local debian/control files.
This package contains the libraries and command-line utility.

Alternatives

Package Version Architecture Repository
gdebi-core_0.9.5.7ubuntu1_all.deb 0.9.5.7ubuntu1 all Ubuntu Main
gdebi-core - - -

Requires

Name Value
file -
python3-apt -
python3-debian -
python3:any >= 3.3.2-2~

Download

Type URL
Binary Package gdebi-core_0.9.5.7ubuntu1_all.deb
Source Package gdebi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gdebi-core deb package:
    # sudo apt-get install gdebi-core

Files

Path
/usr/bin/gdebi
/usr/share/doc/gdebi-core/changelog.gz
/usr/share/doc/gdebi-core/copyright
/usr/share/gdebi/gdebi
/usr/share/gdebi/GDebi/DebPackage.py
/usr/share/gdebi/GDebi/GDebiCli.py
/usr/share/gdebi/GDebi/GDebiCommon.py
/usr/share/gdebi/GDebi/Version.py
/usr/share/gdebi/GDebi/__init__.py
/usr/share/man/man1/gdebi.1.gz
/usr/share/python3/runtime.d/gdebi-core.rtupdate

Changelog

2016-04-06 - Barry Warsaw <barry@ubuntu.com>
gdebi (0.9.5.7ubuntu1) xenial; urgency=medium
* debian/control:
- Add pyflakes3 to Build-Depends.
- Bump Standards-Version to 3.9.7.
2015-07-08 - Michael Vogt <mvo@debian.org>
gdebi (0.9.5.7) unstable; urgency=medium
[ Michael Vogt ]
* GDebi/GDebiGtk.py:
- fix child_exited() change for vte 2.91 (LP: #1472618)
[ Dimitri John Ledkov ]
* Fix exceptions going out of scope. (LP: #1304274)
2015-07-02 - Michael Vogt <mvo@debian.org>
gdebi (0.9.5.6) unstable; urgency=medium
[ Iain Lane ]
* Use vte 2.91
[ Alex Henrie ]
* Use standard MIME type vnd.debian.binary-package so that xdg-open
foo.deb will use gdebi
2014-11-11 - Ivo De Decker <ivodd@debian.org>
gdebi (0.9.5.5+nmu1) unstable; urgency=medium
* Non-maintainer upload.
* Make sure the watcher for the lintian exit code is added only once. It was
added twice by mistake (with both IO watchers), causing a race condition
when checking the exit code. This fixes the lintian test during the build.
(Closes: #765151).
2014-09-29 - Luca Falavigna <dktrkranz@debian.org>
gdebi (0.9.5.5) unstable; urgency=medium
* Team upload.
[ Michael Vogt ]
* mention ability to resolve build-dependencies from a debian/control
file, thanks to Axel Beckert
* improve description for gdebi-gtk to include information about
lintian and the ability to inspect deb packages
[ Luca Falavigna ]
* debian/control:
- Add lintian to gdebi's Recommends field (Closes: #755812).
- Bump Standards-Version to 3.9.6.
* tests/test_gdebi_cli.py:
- Fix FTBFS with non en_US locales (Closes: #757078).
2014-04-22 - Luca Falavigna <dktrkranz@debian.org>
gdebi (0.9.5.4) unstable; urgency=low
[ Michael Vogt ]
* fix installing of dependency packages when called with sudo
(LP: #1309387)
[ Michael Werle ]
* gdebi-kde, GDebi/GDebiKDE.py:
- Fix python3 internatlization bugs (Closes: #743756) (LP: #1304143).
[ Luca Falavigna ]
* Fix tests at build time (Closes: #743091).
2014-04-07 - Michael Vogt <michael.vogt@ubuntu.com>
gdebi (0.9.5.3) unstable; urgency=low
* convert only full lines from dpkg-statusfd into utf8 (LP: #1301857)
2014-04-04 - Barry Warsaw <barry@ubuntu.com>
gdebi (0.9.5.2) unstable; urgency=medium
* Add a universal_newlines=True to Popen command to get a proper unicode
object.  (LP: #1301422)
* Whitespace normalization.
2014-04-02 - Dimitri John Ledkov <xnox@ubuntu.com>
gdebi (0.9.5.1) unstable; urgency=medium
* Lower required python3 version to 3.3. As 3.4 is not needed, and
Debian's default is still 3.3.
2014-04-02 - Dimitri John Ledkov <xnox@ubuntu.com>
gdebi (0.9.5) unstable; urgency=medium
[ Barry Warsaw ]
* New upstream release.
* Switched all command line scripts to Python 3 and dropped Dependencies
on Python 3.  (LP: #1283574)
* Some whitespace cleanup.
* Removed some unnecessary shebang lines.
* Set the dpkg child process write file descriptor to 'inheritable'.
[ Dimitri John Ledkov ]
* Process all packages with dh_python3, to get correct dependencies.

See Also

Package Description
gdisk_1.0.1-1build1_amd64.deb GPT fdisk text-mode partitioning tool
gedit-common_3.18.3-0ubuntu4_all.deb official text editor of the GNOME desktop environment (support files)
gedit-dev_3.18.3-0ubuntu4_amd64.deb official text editor of the GNOME desktop environment (development files)
gedit_3.18.3-0ubuntu4_amd64.deb official text editor of the GNOME desktop environment
genisoimage_1.1.11-3ubuntu1_amd64.deb Creates ISO-9660 CD-ROM filesystem images
geoclue-examples_0.12.99-4ubuntu1_amd64.deb GeoClue example clients
geoclue-ubuntu-geoip_1.0.2+14.04.20131125-0ubuntu2_amd64.deb Provide positioning for GeoClue via Ubuntu GeoIP services
geoclue_0.12.99-4ubuntu1_amd64.deb Geographic information framework
geoip-bin_1.6.9-1_amd64.deb IP lookup command line tools that use the GeoIP library
geoip-database_20160408-1_all.deb IP lookup command line tools that use the GeoIP library (country database)
germinate_2.25_all.deb expand dependencies in a list of seed packages
gettext-base_0.19.7-2ubuntu3_amd64.deb GNU Internationalization utilities for the base system
gettext-doc_0.19.7-2ubuntu3_all.deb Documentation for GNU gettext
gettext-el_0.19.7-2ubuntu3_all.deb Emacs po-mode for editing gettext .po files
gettext_0.19.7-2ubuntu3_amd64.deb GNU Internationalization utilities
Advertisement
Advertisement